## org-mode 7.01g

=== Makefile ===
# Makefile - for the org-mode distribution
#
# Maintainer: Carsten Dominik <dominik@science.uva.nl>
# Version: VERSIONTAG
#
# To install org-mode, edit the Makefile, type `make', then `make install'.
# To create the PDF and HTML documentation files, type `make doc'.

##----------------------------------------------------------------------
##  YOU MUST EDIT THE FOLLOWING LINES
##----------------------------------------------------------------------

# Name of your emacs binary
EMACS=emacs

# Where local software is found
prefix=/usr/local

# Where local lisp files go.
lispdir   = $(prefix)/share/emacs/site-lisp

# Where info files go.
infodir = $(prefix)/share/info

##----------------------------------------------------------------------
## YOU MAY NEED TO EDIT THESE
##----------------------------------------------------------------------

# Using emacs in batch mode.

BATCH=$(EMACS) -batch -q -no-site-file -eval                             			\
  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))"

# Specify the byte-compiler for compiling org-mode files
ELC= $(BATCH) -f batch-byte-compile

# How to make a pdf file from a texinfo file
TEXI2PDF = texi2pdf

# How to create directories
MKDIR = mkdir -p

# How to create the info files from the texinfo file
MAKEINFO = makeinfo

# How to create the HTML file
TEXI2HTML = makeinfo --html --number-sections
TEXI2HTMLNOPSLIT = makeinfo --html --no-split --number-sections

# How to copy the lisp files and elc files to their distination.
CP = cp -p

# Name of the program to install info files
INSTALL_INFO=install-info

##----------------------------------------------------------------------
##  BELOW THIS LINE ON YOUR OWN RISK!
##----------------------------------------------------------------------

# The following variables need to be defined by the maintainer
LISPF      = 	org.el			\
		org-agenda.el		\
		org-ascii.el		\
	     	org-attach.el		\
	     	org-archive.el		\
		org-bbdb.el		\
		org-beamer.el		\
		org-bibtex.el		\
	     	org-capture.el		\
	     	org-clock.el		\
	     	org-colview.el		\
	     	org-colview-xemacs.el	\
	     	org-compat.el		\
	     	org-crypt.el		\
	     	org-ctags.el		\
	     	org-datetree.el		\
	     	org-docview.el		\
	     	org-entities.el		\
		org-exp.el		\
		org-exp-blocks.el	\
		org-docbook.el		\
		org-faces.el		\
		org-feed.el		\
		org-footnote.el		\
		org-freemind.el		\
		org-gnus.el		\
		org-habit.el		\
		org-html.el		\
		org-icalendar.el	\
		org-id.el		\
		org-indent.el		\
		org-info.el		\
		org-inlinetask.el	\
		org-jsinfo.el		\
		org-irc.el		\
		org-latex.el		\
		org-list.el		\
		org-mac-message.el	\
	     	org-macs.el		\
		org-mew.el              \
		org-mhe.el		\
		org-mks.el		\
		org-mobile.el		\
		org-mouse.el		\
		org-publish.el		\
		org-plot.el		\
		org-protocol.el		\
		org-remember.el		\
		org-rmail.el		\
		org-src.el		\
		org-table.el		\
		org-taskjuggler.el	\
		org-timer.el		\
		org-vm.el		\
		org-w3m.el              \
		org-wl.el		\
		org-xoxo.el		\
		ob.el			\
		ob-table.el		\
		ob-lob.el		\
		ob-ref.el		\
		ob-exp.el		\
		ob-tangle.el		\
		ob-comint.el		\
		ob-eval.el		\
		ob-keys.el		\
		ob-C.el			\
		ob-ditaa.el		\
		ob-haskell.el		\
		ob-perl.el		\
		ob-sh.el		\
		ob-R.el			\
		ob-dot.el		\
		ob-mscgen.el		\
		ob-latex.el		\
		ob-python.el		\
		ob-sql.el		\
		ob-asymptote.el		\
		ob-emacs-lisp.el	\
		ob-matlab.el		\
		ob-ruby.el		\
		ob-sqlite.el		\
		ob-clojure.el		\
		ob-ocaml.el		\
		ob-sass.el		\
		ob-css.el		\
		ob-gnuplot.el		\
		ob-octave.el		\
		ob-screen.el

LISPFILES0  = $(LISPF:%=lisp/%)
LISPFILES   = $(LISPFILES0) lisp/org-install.el
ELCFILES0   = $(LISPFILES0:.el=.elc)
ELCFILES    = $(LISPFILES:.el=.elc)
DOCFILES    = doc/org.texi doc/org.pdf doc/org doc/dir \
              doc/pdflayout.sty doc/.nosearch \
              doc/orgguide.texi doc/orgguide.pdf
CARDFILES   = doc/orgcard.tex doc/orgcard.pdf doc/orgcard_letter.pdf
TEXIFILES   = doc/org.texi
INFOFILES   = doc/org


.SUFFIXES: .el .elc .texi
SHELL = /bin/sh

# Additional distribution files
DISTFILES_extra=  Makefile request-assign-future.txt contrib
DISTFILES_xemacs=  xemacs/noutline.el xemacs/ps-print-invisible.el xemacs/README

default: $(ELCFILES) $(ELCBFILES)

all:	$(ELCFILES) $(ELCBFILES) $(INFOFILES)

up2:	update
	sudo ${MAKE} install

update:
	git pull
	${MAKE} clean
	${MAKE} all

compile: $(ELCFILES0) $(ELCBFILES)

install: install-lisp

doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf

p:
	${MAKE} pdf && open doc/org.pdf

g:
	${MAKE} pdf && open doc/orgguide.pdf

install-lisp: $(LISPFILES) $(ELCFILES)
	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
	$(CP) $(LISPFILES)  $(lispdir)
	$(CP) $(ELCFILES)   $(lispdir)

install-info: $(INFOFILES)
	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
	$(CP) $(INFOFILES) $(infodir)
	$(INSTALL_INFO) --info-file=$(INFOFILES) --info-dir=$(infodir)

install-info-debian: $(INFOFILES)
	$(INSTALL_INFO) --infodir=$(infodir) $(INFOFILES)

install-noutline: xemacs/noutline.elc
	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
	$(CP) xemacs/noutline.el xemacs/noutline.elc $(lispdir)

autoloads: lisp/org-install.el

lisp/org-install.el: $(LISPFILES0) Makefile
	$(BATCH) --eval "(require 'autoload)" \
		--eval '(find-file "org-install.el")'  \
		--eval '(erase-buffer)' \
		--eval '(mapc (lambda (x) (generate-file-autoloads (symbol-name x))) (quote ($(LISPFILES0))))' \
		--eval '(insert "\n(provide (quote org-install))\n")' \
		--eval '(save-buffer)'
	mv org-install.el lisp

xemacs/noutline.elc: xemacs/noutline.el

doc/org: doc/org.texi
	(cd doc; $(MAKEINFO) --no-split org.texi -o org)

doc/org.pdf: doc/org.texi
	(cd doc; $(TEXI2PDF) org.texi)

doc/orgguide.pdf: doc/orgguide.texi
	(cd doc; $(TEXI2PDF) orgguide.texi)

doc/org.html: doc/org.texi
	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)
	UTILITIES/manfull.pl doc/org.html

doc/orgcard.pdf: doc/orgcard.tex
	(cd doc; pdftex orgcard.tex)

doc/orgcard.txt: doc/orgcard.tex
	(cd doc; perl ../UTILITIES/orgcard2txt.pl orgcard.tex > orgcard.txt)

doc/orgcard_letter.tex: doc/orgcard.tex
	perl -pe 's/\\pdflayout=\(0l\)/\\pdflayout=(1l)/' \
                   doc/orgcard.tex > doc/orgcard_letter.tex

doc/orgcard_letter.pdf: doc/orgcard_letter.tex
	(cd doc; pdftex orgcard_letter.tex)

# Below here are special targets for maintenance only

updateweb:
	ssh cdominik@orgmode.org 'pull-worg-org.sh && publish-worg-org.sh'

html: doc/org.html

html_manual: doc/org.texi
	rm -rf doc/manual
	mkdir doc/manual
	$(TEXI2HTML) -o doc/manual doc/org.texi
	UTILITIES/mansplit.pl doc/manual/*.html

html_guide: doc/orgguide.texi
	rm -rf doc/guide
	mkdir doc/guide
	$(TEXI2HTML) -o doc/guide doc/orgguide.texi
	UTILITIES/guidesplit.pl doc/guide/*.html

info:	doc/org

pdf:	doc/org.pdf doc/orgguide.pdf

card:	doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgcard.txt

testrelease:
	git checkout -b testrelease maint
	git merge -s recursive -X theirs master
	UTILITIES/set-version.pl testing
	git commit -a -m "Release testing"
	make distfile TAG=testversion
	make cleanrel
	rm -rf org-testversion*
	git reset --hard
	git checkout master
	git branch -D testrelease

release:
	git checkout maint
	git merge -s recursive -X theirs master
	UTILITIES/set-version.pl $(TAG)
	git commit -a -m "Release $(TAG)"
	make relup TAG=$(TAG)
	make cleanrel
	rm -rf org-$(TAG)
	rm org-$(TAG)*.zip
	rm org-$(TAG)*.tar.gz
	make pushreleasetag TAG=$(TAG)
	git push origin maint
	git checkout master
	git merge -s ours maint
	UTILITIES/set-version.pl -o $(TAG)
	git commit -a -m "Update website to show $(TAG) as current release"
	git push
	make updateweb

relup:
	${MAKE} makerelease
	${MAKE} upload_release
	${MAKE} upload_manual

distfile:
	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
	touch doc/org.texi doc/orgcard.tex # force update
	${MAKE} cleancontrib
	${MAKE} info
	${MAKE} doc
	${MAKE} lisp/org-install.el
	rm -rf org-$(TAG) org-$(TAG).zip
	$(MKDIR) org-$(TAG)
	$(MKDIR) org-$(TAG)/xemacs
	$(MKDIR) org-$(TAG)/doc
	$(MKDIR) org-$(TAG)/lisp
	cp -r $(LISPFILES) org-$(TAG)/lisp
	cp -r $(DOCFILES) $(CARDFILES) org-$(TAG)/doc
	cp -r $(DISTFILES_extra) org-$(TAG)/
	cp -r README_DIST org-$(TAG)/README
	cp -r ORGWEBPAGE/Changes.org org-$(TAG)/
	cp -r $(DISTFILES_xemacs) org-$(TAG)/xemacs/
	zip -r org-$(TAG).zip org-$(TAG)
	gtar zcvf org-$(TAG).tar.gz org-$(TAG)

makerelease:
	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
	${MAKE} distfile
	${MAKE} doc
	UTILITIES/gplmanual.pl
	${MAKE} html_manual
	${MAKE} html_guide
	rm -rf RELEASEDIR
	$(MKDIR) RELEASEDIR
	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
	cp doc/orgguide.pdf doc/orgcard.txt RELEASEDIR
	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz

upload_release:
	rsync -avuz RELEASEDIR/ cdominik@orgmode.org:orgmode.org/

upload_manual:
	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
	rsync -avuz --delete doc/guide/ cdominik@orgmode.org:orgmode.org/guide/

cleanall:
	${MAKE} clean
	rm -f lisp/org-install.el

clean:
	${MAKE} cleanelc
	${MAKE} cleandoc
	${MAKE} cleanrel
	rm -f *~ */*~ */*/*~

cleancontrib:
	find contrib -name \*~ -exec rm {} \;

cleanelc:
	rm -f $(ELCFILES)
cleandoc:
	(cd doc; rm -f org.pdf org org.html orgcard.pdf)
	(cd doc; rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
	(cd doc; rm -rf manual)

cleanrel:
	rm -rf RELEASEDIR
	rm -rf org-6.*
	rm -rf org-6*zip org-6*tar.gz

.el.elc:
	$(ELC) $<


push:
	git-push git+ssh://repo.or.cz/srv/git/org-mode.git master

pushtag:
	git-tag -m "Adding tag" -a $(TAG)
	git-push git+ssh://repo.or.cz/srv/git/org-mode.git $(TAG)

pushreleasetag:
	git-tag -m "Adding release tag" -a release_$(TAG)
	git-push git+ssh://repo.or.cz/srv/git/org-mode.git release_$(TAG)

# Dependencies

lisp/org.elc:		lisp/org-macs.el lisp/org-compat.el lisp/org-faces.el
lisp/org-agenda.elc:	lisp/org.el
lisp/org-ascii.elc:	lisp/org-exp.el
lisp/org-attach.elc:	lisp/org.el lisp/org-id.el
lisp/org-archive.elc:	lisp/org.el
lisp/org-bbdb.elc:	lisp/org.el
lisp/org-beamer.elc:	lisp/org.el
lisp/org-bibtex.elc:	lisp/org.el
lisp/org-capture.elc:	lisp/org.el lisp/org-mks.el
lisp/org-clock.elc:	lisp/org.el
lisp/org-colview.elc:	lisp/org.el
lisp/org-colview-xemacs.elc:	lisp/org.el
lisp/org-compat.elc:	lisp/org-macs.el
lisp/org-crypt.elc:	lisp/org-crypt.el lisp/org.el
lisp/org-ctags.elc:	lisp/org.el
lisp/org-datetree.elc:	lisp/org.el
lisp/org-docview.elc:	lisp/org.el
lisp/org-entities.elc:
lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
lisp/org-exp-blocks.elc: lisp/org.el
lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el lisp/org-beamer.el
lisp/org-docbook.elc:	lisp/org.el lisp/org-exp.el
lisp/org-faces.elc:	lisp/org-macs.el lisp/org-compat.el
lisp/org-feed.elc:	lisp/org.el
lisp/org-footnotes.elc:	lisp/org-macs.el lisp/org-compat.el
lisp/org-freemind.elc:	lisp/org.el
lisp/org-gnus.elc:	lisp/org.el
lisp/org-html.elc:	lisp/org-exp.el
lisp/org-habit.elc:	lisp/org.el lisp/org-agenda.el
lisp/org-icalendar.elc:	lisp/org-exp.el
lisp/org-id.elc:	lisp/org.el
lisp/org-indent.elc:	lisp/org.el lisp/org-macs.el lisp/org-compat.el
lisp/org-info.elc:	lisp/org.el
lisp/org-inlinetask.elc:
lisp/org-irc.elc:	lisp/org.el
lisp/org-jsinfo.elc:	lisp/org.el lisp/org-exp.el
lisp/org-list.elc:	lisp/org-macs.el lisp/org-compat.el
lisp/org-mac-message.elc:	lisp/org.el
lisp/org-macs.elc:
lisp/org-mew.elc:	lisp/org.el
lisp/org-mhe.elc:	lisp/org.el
lisp/org-mks.elc:
lisp/org-mobile.elc:	lisp/org.el
lisp/org-mouse.elc:	lisp/org.el
lisp/org-plot.elc:	lisp/org.el lisp/org-exp.el lisp/org-table.el
lisp/org-publish.elc:
lisp/org-protocol.elc:	lisp/org.el
lisp/org-remember.elc:	lisp/org.el
lisp/org-rmail.elc:	lisp/org.el

=== debian/changelog ===
org-mode (7.01g-1) unstable; urgency=low

  * New upstream release (Closes: #589853).
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Thu, 22 Jul 2010 14:14:51 +0200

=== debian/control ===
Source: org-mode
Section: misc
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: texinfo, texlive-latex-base
Standards-Version: 3.9.0
Homepage: http://orgmode.org

Package: org-mode
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacs22 | xemacs21-bin | xemacs22-bin | emacs-snapshot
Suggests: remember-el, easypg
Description: keep notes, maintain ToDo lists, and do project planning in emacs
 Org-mode is a mode for keeping notes, maintaining ToDo lists, and
 doing project planning with a fast and effective plain-text system.
 .
 Org-mode develops organizational tasks around NOTES files that contain
 information about projects as plain text. Org-mode is implemented on
 top of outline-mode, which makes it possible to keep the content of
 large files well structured. Visibility cycling and structure editing
 help to work with the tree. Tables are easily created with a built-in
 table editor. Org-mode supports ToDo items, deadlines, time stamps,
 and scheduling. It dynamically compiles entries into an agenda. Plain
 text URL-like links connect to websites, emails, Usenet messages,
 BBDB entries, and any files related to the projects. For printing and
 sharing of notes, an Org-mode file can be exported as a structured
 ASCII file, HTML, and LaTeX.

=== debian/rules ===
#! /usr/bin/make -f

DOC_FILES := doc/org doc/org.pdf
DOC_TMP_FILES := doc/org.aux doc/org.cp doc/org.cps doc/org.fn doc/org.fns doc/org.ky doc/org.kys \
	doc/org.log doc/org.pg doc/org.toc doc/org.tp doc/org.vr

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f $(DOC_FILES) $(DOC_TMP_FILES)

build:
	make $(DOC_FILES)
	rm -f $(DOC_TMP_FILES)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .DS_Store -exec rm -f {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes.org
	dh_installdocs doc/*
	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/org
	dh_installemacsen -v
	dh_fixperms
	dh_installinfo doc/org
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## org-mode 7.4

=== Makefile ===
--- 
+++ 
@@ -71,6 +71,7 @@
 	     	org-colview.el		\
 	     	org-colview-xemacs.el	\
 	     	org-compat.el		\
+	     	org-complete.el		\
 	     	org-crypt.el		\
 	     	org-ctags.el		\
 	     	org-datetree.el		\
@@ -125,6 +126,7 @@
 		ob-eval.el		\
 		ob-keys.el		\
 		ob-C.el			\
+		ob-calc.el		\
 		ob-ditaa.el		\
 		ob-haskell.el		\
 		ob-perl.el		\
@@ -133,6 +135,7 @@
 		ob-dot.el		\
 		ob-mscgen.el		\
 		ob-latex.el		\
+		ob-ledger.el		\
 		ob-python.el		\
 		ob-sql.el		\
 		ob-asymptote.el		\
@@ -146,7 +149,11 @@
 		ob-css.el		\
 		ob-gnuplot.el		\
 		ob-octave.el		\
-		ob-screen.el
+		ob-screen.el		\
+		ob-plantuml.el		\
+		ob-org.el		\
+		ob-js.el		\
+		ob-scheme.el
 
 LISPFILES0  = $(LISPF:%=lisp/%)
 LISPFILES   = $(LISPFILES0) lisp/org-install.el
@@ -159,13 +166,25 @@
 TEXIFILES   = doc/org.texi
 INFOFILES   = doc/org
 
+# Package Manager (ELPA)
+PKG_TAG = $(shell date +%Y%m%d)
+PKG_DOC = "Outline-based notes management and organizer"
+PKG_REQ = "nil"
+
+PKG_FILES = $(LISPFILES0)		\
+            doc/dir doc/org		\
+            doc/pdflayout.sty		\
+            doc/org.pdf			\
+            doc/orgguide.pdf		\
+            doc/orgcard.tex		\
+            doc/orgcard.pdf		\
+            doc/orgcard_letter.pdf
 
 .SUFFIXES: .el .elc .texi
 SHELL = /bin/sh
 
 # Additional distribution files
 DISTFILES_extra=  Makefile request-assign-future.txt contrib
-DISTFILES_xemacs=  xemacs/noutline.el xemacs/ps-print-invisible.el xemacs/README
 
 default: $(ELCFILES) $(ELCBFILES)
 
@@ -183,7 +202,7 @@
 
 install: install-lisp
 
-doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf
+doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf doc/orgcard.txt
 
 p:
 	${MAKE} pdf && open doc/org.pdf
@@ -203,10 +222,6 @@
 
 install-info-debian: $(INFOFILES)
 	$(INSTALL_INFO) --infodir=$(infodir) $(INFOFILES)
-
-install-noutline: xemacs/noutline.elc
-	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
-	$(CP) xemacs/noutline.el xemacs/noutline.elc $(lispdir)
 
 autoloads: lisp/org-install.el
 
@@ -219,8 +234,6 @@
 		--eval '(save-buffer)'
 	mv org-install.el lisp
 
-xemacs/noutline.elc: xemacs/noutline.el
-
 doc/org: doc/org.texi
 	(cd doc; $(MAKEINFO) --no-split org.texi -o org)
 
@@ -250,7 +263,7 @@
 # Below here are special targets for maintenance only
 
 updateweb:
-	ssh cdominik@orgmode.org 'pull-worg-org.sh && publish-worg-org.sh'
+	ssh cdominik@orgmode.org 'pull-worg-orgweb.sh && publish-worg-orgweb.sh'
 
 html: doc/org.html
 
@@ -284,7 +297,41 @@
 	git checkout master
 	git branch -D testrelease
 
+# The following target makes a full release fro the stuff that is
+# currently on master.  Do it like this:
+#
+#   make release TAG=7.01
+
 release:
+	git checkout maint
+	git merge -s recursive -X theirs master
+	UTILITIES/set-version.pl $(TAG)
+	git commit -a -m "Release $(TAG)"
+	make relup TAG=$(TAG)
+	make cleanrel
+	rm -rf org-$(TAG)
+	rm -f org-$(TAG)*.zip
+	rm -f org-$(TAG)*.tar.gz
+	make pushreleasetag TAG=$(TAG)
+	git push -f origin maint
+	git checkout master
+	git merge -s ours maint
+	UTILITIES/set-version.pl -o $(TAG)
+	git commit -a -m "Update website to show $(TAG) as current release"
+	git push
+	make updateweb
+
+# The following target makes a release, but from the studd that is on
+# maint, not from the stuff that is on master.  The idea is that it pushes
+# out a minor fix into a minor update, while development on master
+# already went full steam ahead.  To make a micro-relesse, cherry-pick
+# the necessary changes into maint, then run (with proper version number)
+# This is just like release, but we skip  the step which merges master
+# into maint.
+#
+#   make fixrelease TAG=7.01.02
+
+fixrelease:
 	git checkout maint
 	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl $(TAG)
@@ -295,7 +342,7 @@
 	rm org-$(TAG)*.zip
 	rm org-$(TAG)*.tar.gz
 	make pushreleasetag TAG=$(TAG)
-	git push origin maint
+	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
 	UTILITIES/set-version.pl -o $(TAG)
@@ -317,7 +364,6 @@
 	${MAKE} lisp/org-install.el
 	rm -rf org-$(TAG) org-$(TAG).zip
 	$(MKDIR) org-$(TAG)
-	$(MKDIR) org-$(TAG)/xemacs
 	$(MKDIR) org-$(TAG)/doc
 	$(MKDIR) org-$(TAG)/lisp
 	cp -r $(LISPFILES) org-$(TAG)/lisp
@@ -325,9 +371,19 @@
 	cp -r $(DISTFILES_extra) org-$(TAG)/
 	cp -r README_DIST org-$(TAG)/README
 	cp -r ORGWEBPAGE/Changes.org org-$(TAG)/
-	cp -r $(DISTFILES_xemacs) org-$(TAG)/xemacs/
 	zip -r org-$(TAG).zip org-$(TAG)
 	gtar zcvf org-$(TAG).tar.gz org-$(TAG)
+
+pkg:
+	@if [ "X$(PKG_TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
+	touch doc/org.texi doc/orgcard.tex # force update
+	${MAKE} info
+	${MAKE} doc
+	rm -rf org-$(PKG_TAG) org-$(PKG_TAG).tar
+	$(MKDIR) org-$(PKG_TAG)
+	cp -r $(PKG_FILES) org-$(PKG_TAG)
+	echo "(define-package \"org\" \"$(PKG_TAG)\" \"$(PKG_DOC)\" $(PKG_REQ))" > org-$(PKG_TAG)/org-pkg.el
+	tar cf org-$(PKG_TAG).tar org-$(PKG_TAG) --remove-files
 
 makerelease:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -340,6 +396,7 @@
 	$(MKDIR) RELEASEDIR
 	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
 	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
+	cp doc/org_dual_license.texi RELEASEDIR
 	cp doc/orgguide.pdf doc/orgcard.txt RELEASEDIR
 	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
 	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
@@ -375,8 +432,8 @@
 
 cleanrel:
 	rm -rf RELEASEDIR
-	rm -rf org-6.*
-	rm -rf org-6*zip org-6*tar.gz
+	rm -rf org-7.*
+	rm -rf org-7*zip org-7*tar.gz
 
 .el.elc:
 	$(ELC) $<
@@ -399,48 +456,3 @@
 lisp/org-agenda.elc:	lisp/org.el
 lisp/org-ascii.elc:	lisp/org-exp.el
 lisp/org-attach.elc:	lisp/org.el lisp/org-id.el
-lisp/org-archive.elc:	lisp/org.el
-lisp/org-bbdb.elc:	lisp/org.el
-lisp/org-beamer.elc:	lisp/org.el
-lisp/org-bibtex.elc:	lisp/org.el
-lisp/org-capture.elc:	lisp/org.el lisp/org-mks.el
-lisp/org-clock.elc:	lisp/org.el
-lisp/org-colview.elc:	lisp/org.el
-lisp/org-colview-xemacs.elc:	lisp/org.el
-lisp/org-compat.elc:	lisp/org-macs.el
-lisp/org-crypt.elc:	lisp/org-crypt.el lisp/org.el
-lisp/org-ctags.elc:	lisp/org.el
-lisp/org-datetree.elc:	lisp/org.el
-lisp/org-docview.elc:	lisp/org.el
-lisp/org-entities.elc:
-lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
-lisp/org-exp-blocks.elc: lisp/org.el
-lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el lisp/org-beamer.el
-lisp/org-docbook.elc:	lisp/org.el lisp/org-exp.el
-lisp/org-faces.elc:	lisp/org-macs.el lisp/org-compat.el
-lisp/org-feed.elc:	lisp/org.el
-lisp/org-footnotes.elc:	lisp/org-macs.el lisp/org-compat.el
-lisp/org-freemind.elc:	lisp/org.el
-lisp/org-gnus.elc:	lisp/org.el
-lisp/org-html.elc:	lisp/org-exp.el
-lisp/org-habit.elc:	lisp/org.el lisp/org-agenda.el
-lisp/org-icalendar.elc:	lisp/org-exp.el
-lisp/org-id.elc:	lisp/org.el
-lisp/org-indent.elc:	lisp/org.el lisp/org-macs.el lisp/org-compat.el
-lisp/org-info.elc:	lisp/org.el
-lisp/org-inlinetask.elc:
-lisp/org-irc.elc:	lisp/org.el
-lisp/org-jsinfo.elc:	lisp/org.el lisp/org-exp.el
-lisp/org-list.elc:	lisp/org-macs.el lisp/org-compat.el
-lisp/org-mac-message.elc:	lisp/org.el
-lisp/org-macs.elc:
-lisp/org-mew.elc:	lisp/org.el
-lisp/org-mhe.elc:	lisp/org.el
-lisp/org-mks.elc:
-lisp/org-mobile.elc:	lisp/org.el
-lisp/org-mouse.elc:	lisp/org.el
-lisp/org-plot.elc:	lisp/org.el lisp/org-exp.el lisp/org-table.el
-lisp/org-publish.elc:
-lisp/org-protocol.elc:	lisp/org.el
-lisp/org-remember.elc:	lisp/org.el
-lisp/org-rmail.elc:	lisp/org.el

=== debian/changelog ===
org-mode (7.4-1) unstable; urgency=low

  * New upstream release
  * Handle ditaa more nicely (Closes: #607258).
  
 -- Sebastien Delafond <seb@debian.org>  Wed, 22 Dec 2010 14:13:18 +0100

org-mode (7.3-3) unstable; urgency=low

  * Explicitly exclude xemacs from byte-compilation (Closes: #602803).

 -- Sebastien Delafond <seb@debian.org>  Fri, 12 Nov 2010 11:35:10 +0100

org-mode (7.3-2) unstable; urgency=low

  * Do not support xemacs21 anymore; the upstream changelog clearly mentions
    that "XEmacs support requires the XEmacs development version", which
    is not packaged for Debian (Closes: #602803).

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Nov 2010 16:23:30 +0100

org-mode (7.3-1) unstable; urgency=low

  * New upstream release (Closes: #602196).

 -- Sebastien Delafond <seb@debian.org>  Sun, 07 Nov 2010 18:17:47 +0100

org-mode (7.01h-1) unstable; urgency=low

  * New upstream release.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 07 Sep 2010 14:46:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://orgmode.org
 
 Package: org-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs23 | emacs22 | xemacs21-bin | xemacs22-bin | emacs-snapshot
-Suggests: remember-el, easypg
+Depends: ${misc:Depends}, emacs23 | emacs22 | emacs-snapshot
+Suggests: remember-el, easypg, ditaa
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,11 @@
 	dh_clean -k 
 	dh_installdirs
 	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
-	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
+#	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
 	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .DS_Store -exec rm -f {} \;
+	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .gitignore -exec rm -f {} \;
 
 # Build architecture-independent files here.
 binary-indep: build install

## org-mode 7.6

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	     	org-colview.el		\
 	     	org-colview-xemacs.el	\
 	     	org-compat.el		\
-	     	org-complete.el		\
+	     	org-pcomplete.el	\
 	     	org-crypt.el		\
 	     	org-ctags.el		\
 	     	org-datetree.el		\
@@ -108,6 +108,7 @@
 		org-protocol.el		\
 		org-remember.el		\
 		org-rmail.el		\
+		org-special-blocks.el	\
 		org-src.el		\
 		org-table.el		\
 		org-taskjuggler.el	\
@@ -125,6 +126,7 @@
 		ob-comint.el		\
 		ob-eval.el		\
 		ob-keys.el		\
+		ob-awk.el		\
 		ob-C.el			\
 		ob-calc.el		\
 		ob-ditaa.el		\
@@ -135,6 +137,7 @@
 		ob-dot.el		\
 		ob-mscgen.el		\
 		ob-latex.el		\
+		ob-lisp.el		\
 		ob-ledger.el		\
 		ob-python.el		\
 		ob-sql.el		\
@@ -235,35 +238,32 @@
 	mv org-install.el lisp
 
 doc/org: doc/org.texi
-	(cd doc; $(MAKEINFO) --no-split org.texi -o org)
+	(cd doc && $(MAKEINFO) --no-split org.texi -o org)
 
 doc/org.pdf: doc/org.texi
-	(cd doc; $(TEXI2PDF) org.texi)
+	(cd doc && $(TEXI2PDF) org.texi)
 
 doc/orgguide.pdf: doc/orgguide.texi
-	(cd doc; $(TEXI2PDF) orgguide.texi)
+	(cd doc && $(TEXI2PDF) orgguide.texi)
 
 doc/org.html: doc/org.texi
-	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)
+	(cd doc && $(TEXI2HTML) --no-split -o org.html org.texi)
 	UTILITIES/manfull.pl doc/org.html
 
 doc/orgcard.pdf: doc/orgcard.tex
-	(cd doc; pdftex orgcard.tex)
+	(cd doc && pdftex orgcard.tex)
 
 doc/orgcard.txt: doc/orgcard.tex
-	(cd doc; perl ../UTILITIES/orgcard2txt.pl orgcard.tex > orgcard.txt)
+	(cd doc && perl ../UTILITIES/orgcard2txt.pl orgcard.tex > orgcard.txt)
 
 doc/orgcard_letter.tex: doc/orgcard.tex
 	perl -pe 's/\\pdflayout=\(0l\)/\\pdflayout=(1l)/' \
                    doc/orgcard.tex > doc/orgcard_letter.tex
 
 doc/orgcard_letter.pdf: doc/orgcard_letter.tex
-	(cd doc; pdftex orgcard_letter.tex)
+	(cd doc && pdftex orgcard_letter.tex)
 
 # Below here are special targets for maintenance only
-
-updateweb:
-	ssh cdominik@orgmode.org 'pull-worg-orgweb.sh && publish-worg-orgweb.sh'
 
 html: doc/org.html
 
@@ -286,7 +286,7 @@
 card:	doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgcard.txt
 
 testrelease:
-	git checkout -b testrelease maint
+	git checkout -b testrelease origin/maint
 	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl testing
 	git commit -a -m "Release testing"
@@ -297,7 +297,7 @@
 	git checkout master
 	git branch -D testrelease
 
-# The following target makes a full release fro the stuff that is
+# The following target makes a full release for the stuff that is
 # currently on master.  Do it like this:
 #
 #   make release TAG=7.01
@@ -316,12 +316,11 @@
 	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
-	UTILITIES/set-version.pl -o $(TAG)
+	UTILITIES/set-version.pl -a $(TAG)
 	git commit -a -m "Update website to show $(TAG) as current release"
 	git push
-	make updateweb
-
-# The following target makes a release, but from the studd that is on
+
+# The following target makes a release, but from the stuff that is on
 # maint, not from the stuff that is on master.  The idea is that it pushes
 # out a minor fix into a minor update, while development on master
 # already went full steam ahead.  To make a micro-relesse, cherry-pick
@@ -348,12 +347,40 @@
 	UTILITIES/set-version.pl -o $(TAG)
 	git commit -a -m "Update website to show $(TAG) as current release"
 	git push
-	make updateweb
-
+
+# ~$ make relup only makes sense from orgmode.org server
+# Don't call it from your computer!
 relup:
 	${MAKE} makerelease
-	${MAKE} upload_release
-	${MAKE} upload_manual
+	${MAKE} sync_release
+	${MAKE} sync_manual
+
+makerelease:
+	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
+	${MAKE} distfile
+	${MAKE} doc
+	UTILITIES/gplmanual.pl
+	${MAKE} html_manual
+	${MAKE} html_guide
+	rm -rf RELEASEDIR
+	$(MKDIR) RELEASEDIR
+	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
+	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
+	cp doc/org_dual_license.texi RELEASEDIR
+	cp doc/orgguide.pdf doc/orgcard.txt RELEASEDIR
+	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
+	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
+
+# ~$ make sync_release only makes sense from orgmode.org server
+# Don't call it from your computer!
+sync_release:
+	rsync -avuz RELEASEDIR/ /var/www/orgmode.org/
+
+# ~$ make sync_manual only makes sense from orgmode.org server
+# Don't call it from your computer!
+sync_manual:
+	rsync -avuz --delete doc/manual/ /var/www/orgmode.org/manual/
+	rsync -avuz --delete doc/guide/ /var/www/orgmode.org/guide/
 
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -370,9 +397,8 @@
 	cp -r $(DOCFILES) $(CARDFILES) org-$(TAG)/doc
 	cp -r $(DISTFILES_extra) org-$(TAG)/
 	cp -r README_DIST org-$(TAG)/README
-	cp -r ORGWEBPAGE/Changes.org org-$(TAG)/
 	zip -r org-$(TAG).zip org-$(TAG)
-	gtar zcvf org-$(TAG).tar.gz org-$(TAG)
+	tar zcvf org-$(TAG).tar.gz org-$(TAG)
 
 pkg:
 	@if [ "X$(PKG_TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -385,29 +411,6 @@
 	echo "(define-package \"org\" \"$(PKG_TAG)\" \"$(PKG_DOC)\" $(PKG_REQ))" > org-$(PKG_TAG)/org-pkg.el
 	tar cf org-$(PKG_TAG).tar org-$(PKG_TAG) --remove-files
 
-makerelease:
-	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
-	${MAKE} distfile
-	${MAKE} doc
-	UTILITIES/gplmanual.pl
-	${MAKE} html_manual
-	${MAKE} html_guide
-	rm -rf RELEASEDIR
-	$(MKDIR) RELEASEDIR
-	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
-	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
-	cp doc/org_dual_license.texi RELEASEDIR
-	cp doc/orgguide.pdf doc/orgcard.txt RELEASEDIR
-	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
-	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
-
-upload_release:
-	rsync -avuz RELEASEDIR/ cdominik@orgmode.org:orgmode.org/
-
-upload_manual:
-	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
-	rsync -avuz --delete doc/guide/ cdominik@orgmode.org:orgmode.org/guide/
-
 cleanall:
 	${MAKE} clean
 	rm -f lisp/org-install.el
@@ -424,11 +427,11 @@
 cleanelc:
 	rm -f $(ELCFILES)
 cleandoc:
-	(cd doc; rm -f org.pdf org org.html orgcard.pdf)
-	(cd doc; rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
-	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
-	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
-	(cd doc; rm -rf manual)
+	-(cd doc && rm -f org.pdf org org.html orgcard.pdf orgguide.pdf)
+	-(cd doc && rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
+	-(cd doc && rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
+	-(cd doc && rm -f orgcard_letter.tex orgcard_letter.pdf)
+	-(cd doc && rm -rf manual)
 
 cleanrel:
 	rm -rf RELEASEDIR
@@ -440,19 +443,15 @@
 
 
 push:
-	git-push git+ssh://repo.or.cz/srv/git/org-mode.git master
+	git-push orgmode@orgmode.org:org-mode.git master
 
 pushtag:
 	git-tag -m "Adding tag" -a $(TAG)
-	git-push git+ssh://repo.or.cz/srv/git/org-mode.git $(TAG)
+	git-push orgmode@orgmode.org:org-mode.git $(TAG)
 
 pushreleasetag:
 	git-tag -m "Adding release tag" -a release_$(TAG)
-	git-push git+ssh://repo.or.cz/srv/git/org-mode.git release_$(TAG)
+	git-push orgmode@orgmode.org:org-mode.git release_$(TAG)
 
 # Dependencies
 
-lisp/org.elc:		lisp/org-macs.el lisp/org-compat.el lisp/org-faces.el
-lisp/org-agenda.elc:	lisp/org.el
-lisp/org-ascii.elc:	lisp/org-exp.el
-lisp/org-attach.elc:	lisp/org.el lisp/org-id.el

=== debian/changelog ===
org-mode (7.6-1) unstable; urgency=low

  * New upstream release (Closes: #632158).

 -- Sebastien Delafond <seb@debian.org>  Thu, 07 Jul 2011 15:45:26 +0200

org-mode (7.5-2) unstable; urgency=low

  * Also install .el files (Closes: #623376).

 -- Sebastien Delafond <seb@debian.org>  Mon, 09 May 2011 12:18:52 +0200

org-mode (7.5-1) unstable; urgency=low

  * New upstream release (Closes: #623208).

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Apr 2011 14:52:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs Changes.org
+	dh_installchangelogs
 	dh_installdocs doc/*
 	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/org
 	dh_installemacsen -v

## org-mode 7.7

=== debian/changelog ===
org-mode (7.7-3) unstable; urgency=low

  * More conventional debian/rules, not requiring root; thanks Colin
    Watson <cjwatson@ubuntu.com> for the patch (Closes: #648425)

 -- Sebastien Delafond <seb@debian.org>  Fri, 11 Nov 2011 15:09:35 +0100

org-mode (7.7-2) unstable; urgency=low

  * Fix FTBFS (Closes: #643235)

 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Sep 2011 11:27:02 +0200

org-mode (7.7-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sat, 10 Sep 2011 15:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://orgmode.org
 
 Package: org-mode

## org-mode 7.8.02

=== Makefile ===
--- 
+++ 
@@ -96,6 +96,7 @@
 		org-irc.el		\
 		org-latex.el		\
 		org-list.el		\
+		org-lparse.el		\
 		org-mac-message.el	\
 	     	org-macs.el		\
 		org-mew.el              \
@@ -103,6 +104,7 @@
 		org-mks.el		\
 		org-mobile.el		\
 		org-mouse.el		\
+		org-odt.el		\
 		org-publish.el		\
 		org-plot.el		\
 		org-protocol.el		\
@@ -156,7 +158,12 @@
 		ob-plantuml.el		\
 		ob-org.el		\
 		ob-js.el		\
-		ob-scheme.el
+		ob-scheme.el		\
+		ob-lilypond.el		\
+		ob-java.el		\
+		ob-shen.el		\
+		ob-fortran.el		\
+		ob-picolisp.el
 
 LISPFILES0  = $(LISPF:%=lisp/%)
 LISPFILES   = $(LISPFILES0) lisp/org-install.el
@@ -181,13 +188,14 @@
             doc/orgguide.pdf		\
             doc/orgcard.tex		\
             doc/orgcard.pdf		\
-            doc/orgcard_letter.pdf
+            doc/orgcard_letter.pdf	\
+            etc/
 
 .SUFFIXES: .el .elc .texi
 SHELL = /bin/sh
 
 # Additional distribution files
-DISTFILES_extra=  Makefile request-assign-future.txt contrib
+DISTFILES_extra=  Makefile request-assign-future.txt contrib etc
 
 default: $(ELCFILES) $(ELCBFILES)
 
@@ -221,21 +229,17 @@
 install-info: $(INFOFILES)
 	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
 	$(CP) $(INFOFILES) $(infodir)
-	$(INSTALL_INFO) --info-file=$(INFOFILES) --info-dir=$(infodir)
-
-install-info-debian: $(INFOFILES)
 	$(INSTALL_INFO) --infodir=$(infodir) $(INFOFILES)
 
 autoloads: lisp/org-install.el
 
 lisp/org-install.el: $(LISPFILES0) Makefile
 	$(BATCH) --eval "(require 'autoload)" \
-		--eval '(find-file "org-install.el")'  \
+		--eval '(find-file "lisp/org-install.el")'  \
 		--eval '(erase-buffer)' \
-		--eval '(mapc (lambda (x) (generate-file-autoloads (symbol-name x))) (quote ($(LISPFILES0))))' \
+		--eval '(mapc (lambda (x) (generate-file-autoloads (symbol-name x))) (quote ($(LISPF))))' \
 		--eval '(insert "\n(provide (quote org-install))\n")' \
 		--eval '(save-buffer)'
-	mv org-install.el lisp
 
 doc/org: doc/org.texi
 	(cd doc && $(MAKEINFO) --no-split org.texi -o org)
@@ -443,15 +447,15 @@
 
 
 push:
-	git-push orgmode@orgmode.org:org-mode.git master
+	git push orgmode@orgmode.org:org-mode.git master
 
 pushtag:
-	git-tag -m "Adding tag" -a $(TAG)
-	git-push orgmode@orgmode.org:org-mode.git $(TAG)
+	git tag -m "Adding tag" -a $(TAG)
+	git push orgmode@orgmode.org:org-mode.git $(TAG)
 
 pushreleasetag:
-	git-tag -m "Adding release tag" -a release_$(TAG)
-	git-push orgmode@orgmode.org:org-mode.git release_$(TAG)
+	git tag -m "Adding release tag" -a release_$(TAG)
+	git push orgmode@orgmode.org:org-mode.git release_$(TAG)
 
 # Dependencies

=== debian/changelog ===
org-mode (7.8.02-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch file

 -- Sebastien Delafond <seb@debian.org>  Tue, 13 Dec 2011 16:58:49 +0100

=== debian/rules ===
#! /usr/bin/make -f

DOC_FILES := doc/org doc/org.pdf
DOC_TMP_FILES := doc/org.aux doc/org.cp doc/org.cps doc/org.fn \
		 doc/org.fns doc/org.ky doc/org.kys \
	         doc/org.log doc/org.pg doc/org.toc doc/org.tp \
		 doc/org.vr doc/org.vrs doc/org.pgs

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f $(DOC_FILES) $(DOC_TMP_FILES)

build build-indep build-arch:

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
#	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .DS_Store -exec rm -f {} \;
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .gitignore -exec rm -f {} \;

binary-indep: install
	make $(DOC_FILES)
	rm -f $(DOC_TMP_FILES)
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/*
	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/org
	dh_installemacsen -v
	dh_fixperms
	dh_installinfo doc/org
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch

binary: binary-indep binary-arch

.PHONY: build clean build-indep build-arch binary binary-indep binary-arch

## org-mode 7.8.11

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,15 @@
 # Where local software is found
 prefix=/usr/local
 
-# Where local lisp files go.
+# Where local lisp files go
 lispdir   = $(prefix)/share/emacs/site-lisp
 
-# Where info files go.
+# Where data files go
+# $(datadir) contains auxiliary files for use with ODT exporter.
+# See comments under DATAFILES.
+datadir = $(prefix)/share/emacs/etc
+
+# Where info files go
 infodir = $(prefix)/share/info
 
 ##----------------------------------------------------------------------
@@ -29,7 +34,7 @@
 # Using emacs in batch mode.
 
 BATCH=$(EMACS) -batch -q -no-site-file -eval                             			\
-  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))"
+  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))" $(BATCH_EXTRA)
 
 # Specify the byte-compiler for compiling org-mode files
 ELC= $(BATCH) -f batch-byte-compile
@@ -48,7 +53,7 @@
 TEXI2HTMLNOPSLIT = makeinfo --html --no-split --number-sections
 
 # How to copy the lisp files and elc files to their distination.
-CP = cp -p
+CP = cp -pr
 
 # Name of the program to install info files
 INSTALL_INFO=install-info
@@ -85,6 +90,7 @@
 		org-footnote.el		\
 		org-freemind.el		\
 		org-gnus.el		\
+		org-eshell.el		\
 		org-habit.el		\
 		org-html.el		\
 		org-icalendar.el	\
@@ -163,7 +169,8 @@
 		ob-java.el		\
 		ob-shen.el		\
 		ob-fortran.el		\
-		ob-picolisp.el
+		ob-picolisp.el		\
+		ob-maxima.el
 
 LISPFILES0  = $(LISPF:%=lisp/%)
 LISPFILES   = $(LISPFILES0) lisp/org-install.el
@@ -176,6 +183,26 @@
 TEXIFILES   = doc/org.texi
 INFOFILES   = doc/org
 
+# etc/styles contains OpenDocument style files.  These files *must* be
+# installed for the ODT exporter to function.  These files are
+# distirbuted with GNU ELPA as well as with stock Emacs >= 24.1.
+
+# contrib/odt/etc/schema contains OpenDocument schema files.  It is
+# *desirable* but *not* mandatory that these files be installed.
+# These files are not distributed with stock Emacs.  This is because
+# the terms under which OASIS distributes these files are not
+# agreeable to FSF.
+
+# BasicODConverter-x.y.z.oxt is a LibreOffice extension for converting
+# OpenDocument files to numerous other formats.  It is similar to
+# unoconv and is implemented in StarBasic.  It is *desirable* but
+# *not* *mandatory* that the converter be installed.  It is
+# distributed under the same license as GNU Emacs.  This file is *not*
+# part of GNU Emacs.
+DATAFILES   = etc/styles \
+	      # contrib/odt/BasicODConverter/BasicODConverter*.oxt \
+	      # contrib/odt/etc/schema \
+
 # Package Manager (ELPA)
 PKG_TAG = $(shell date +%Y%m%d)
 PKG_DOC = "Outline-based notes management and organizer"
@@ -211,7 +238,7 @@
 
 compile: $(ELCFILES0) $(ELCBFILES)
 
-install: install-lisp
+install: install-lisp install-data
 
 doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf doc/orgcard.txt
 
@@ -221,15 +248,31 @@
 g:
 	${MAKE} pdf && open doc/orgguide.pdf
 
+# Always force re-compilation of org-odt
+lisp/org-odt.elc: org-odt-data-dir
+org-odt-data-dir:
+
+# Sleight of hand to "hard code" the value of $(datadir) in
+# org-odt.el.  See variables `org-odt-styles-dir-list' and
+# `org-odt-schema-dir-list'.
+install-lisp: BATCH_EXTRA = -eval "(setq org-odt-data-dir (expand-file-name \"$(datadir)\"))"
+
 install-lisp: $(LISPFILES) $(ELCFILES)
-	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
-	$(CP) $(LISPFILES)  $(lispdir)
-	$(CP) $(ELCFILES)   $(lispdir)
+	if [ ! -d $(DESTDIR)$(lispdir) ]; then \
+		$(MKDIR) $(DESTDIR)$(lispdir); else true; fi ;
+	$(CP) $(LISPFILES)  $(DESTDIR)$(lispdir)
+	$(CP) $(ELCFILES)   $(DESTDIR)$(lispdir)
 
 install-info: $(INFOFILES)
-	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
-	$(CP) $(INFOFILES) $(infodir)
-	$(INSTALL_INFO) --infodir=$(infodir) $(INFOFILES)
+	if [ ! -d $(DESTDIR)$(infodir) ]; then \
+		$(MKDIR) $(DESTDIR)$(infodir); else true; fi ;
+	$(CP) $(INFOFILES) $(DESTDIR)$(infodir)
+	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) $(INFOFILES)
+
+install-data: $(DATAFILES)
+	if [ ! -d $(DESTDIR)$(datadir) ]; then \
+		$(MKDIR) $(DESTDIR)$(datadir); else true; fi ;
+	$(CP) $(DATAFILES) $(DESTDIR)$(datadir)
 
 autoloads: lisp/org-install.el
 
@@ -310,18 +353,15 @@
 	git checkout maint
 	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl $(TAG)
-	git commit -a -m "Release $(TAG)"
+	git commit -a -m "Major release $(TAG) from master"
 	make relup TAG=$(TAG)
 	make cleanrel
-	rm -rf org-$(TAG)
-	rm -f org-$(TAG)*.zip
-	rm -f org-$(TAG)*.tar.gz
 	make pushreleasetag TAG=$(TAG)
 	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
 	UTILITIES/set-version.pl -a $(TAG)
-	git commit -a -m "Update website to show $(TAG) as current release"
+	git commit -a -m "Bump to version $(TAG) as current release from master"
 	git push
 
 # The following target makes a release, but from the stuff that is on
@@ -336,20 +376,16 @@
 
 fixrelease:
 	git checkout maint
-	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl $(TAG)
-	git commit -a -m "Release $(TAG)"
+	git commit -a -m "Bugfix release $(TAG) from maint"
 	make relup TAG=$(TAG)
 	make cleanrel
-	rm -rf org-$(TAG)
-	rm org-$(TAG)*.zip
-	rm org-$(TAG)*.tar.gz
 	make pushreleasetag TAG=$(TAG)
 	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
 	UTILITIES/set-version.pl -o $(TAG)
-	git commit -a -m "Update website to show $(TAG) as current release"
+	git commit -a -m "Bump to version $(TAG) as current release from maint"
 	git push
 
 # ~$ make relup only makes sense from orgmode.org server
@@ -393,69 +429,3 @@
 	${MAKE} info
 	${MAKE} doc
 	${MAKE} lisp/org-install.el
-	rm -rf org-$(TAG) org-$(TAG).zip
-	$(MKDIR) org-$(TAG)
-	$(MKDIR) org-$(TAG)/doc
-	$(MKDIR) org-$(TAG)/lisp
-	cp -r $(LISPFILES) org-$(TAG)/lisp
-	cp -r $(DOCFILES) $(CARDFILES) org-$(TAG)/doc
-	cp -r $(DISTFILES_extra) org-$(TAG)/
-	cp -r README_DIST org-$(TAG)/README
-	zip -r org-$(TAG).zip org-$(TAG)
-	tar zcvf org-$(TAG).tar.gz org-$(TAG)
-
-pkg:
-	@if [ "X$(PKG_TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
-	touch doc/org.texi doc/orgcard.tex # force update
-	${MAKE} info
-	${MAKE} doc
-	rm -rf org-$(PKG_TAG) org-$(PKG_TAG).tar
-	$(MKDIR) org-$(PKG_TAG)
-	cp -r $(PKG_FILES) org-$(PKG_TAG)
-	echo "(define-package \"org\" \"$(PKG_TAG)\" \"$(PKG_DOC)\" $(PKG_REQ))" > org-$(PKG_TAG)/org-pkg.el
-	tar cf org-$(PKG_TAG).tar org-$(PKG_TAG) --remove-files
-
-cleanall:
-	${MAKE} clean
-	rm -f lisp/org-install.el
-
-clean:
-	${MAKE} cleanelc
-	${MAKE} cleandoc
-	${MAKE} cleanrel
-	rm -f *~ */*~ */*/*~
-
-cleancontrib:
-	find contrib -name \*~ -exec rm {} \;
-
-cleanelc:
-	rm -f $(ELCFILES)
-cleandoc:
-	-(cd doc && rm -f org.pdf org org.html orgcard.pdf orgguide.pdf)
-	-(cd doc && rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
-	-(cd doc && rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
-	-(cd doc && rm -f orgcard_letter.tex orgcard_letter.pdf)
-	-(cd doc && rm -rf manual)
-
-cleanrel:
-	rm -rf RELEASEDIR
-	rm -rf org-7.*
-	rm -rf org-7*zip org-7*tar.gz
-
-.el.elc:
-	$(ELC) $<
-
-
-push:
-	git push orgmode@orgmode.org:org-mode.git master
-
-pushtag:
-	git tag -m "Adding tag" -a $(TAG)
-	git push orgmode@orgmode.org:org-mode.git $(TAG)
-
-pushreleasetag:
-	git tag -m "Adding release tag" -a release_$(TAG)
-	git push orgmode@orgmode.org:org-mode.git release_$(TAG)
-
-# Dependencies
-

=== debian/changelog ===
org-mode (7.8.11-1) unstable; urgency=low

  * New upstream release
  * Simpler debian/watch file
  
 -- Sebastien Delafond <seb@debian.org>  Wed, 20 Jun 2012 11:36:07 +0200

org-mode (7.8.09-1) unstable; urgency=low

  * New upstream release (Closes: #670270)
  * Updated debian/watch file

 -- Sebastien Delafond <seb@debian.org>  Wed, 25 Apr 2012 15:20:15 +0200

org-mode (7.8.06-2) unstable; urgency=low

  * Really fix the style files (Closes: #655652)

 -- Sebastien Delafond <seb@debian.org>  Mon, 26 Mar 2012 10:56:00 +0200

org-mode (7.8.06-1) unstable; urgency=low

  * New upstream release (Closes: #655652)
  * Bumped up Standards-Version.
  
 -- Sebastien Delafond <seb@debian.org>  Sun, 25 Mar 2012 17:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://orgmode.org
 
 Package: org-mode

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	dh_clean -k 
 	dh_installdirs
 	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
+	cp -r etc $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
 #	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
 	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts=downloadurlmangle=s/index\.html// \
http://orgmode.org/org-(\d.+)\.tar\.gz debian uupdate
